Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

A player's last final games

GET/players/{id}/games
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Player id

Query parameters
limitinteger

Up to 50. Default 10.

Responses
200

OK

dataPlayerGameLine[]required
Show properties
Array of PlayerGameLine
gameIdstringrequired
scheduledStartstringrequired

ISO 8601 date-time (UTC)

homeTeamIdstringrequired
awayTeamIdstringrequired
homeScoreintegerrequired
min -9007199254740991 · max 9007199254740991
awayScoreintegerrequired
min -9007199254740991 · max 9007199254740991
isExhibitionbooleanrequired
goalsintegerrequired
min -9007199254740991 · max 9007199254740991
assistsintegerrequired
min -9007199254740991 · max 9007199254740991
hitsintegerrequired
min -9007199254740991 · max 9007199254740991
shotsintegerrequired
min -9007199254740991 · max 9007199254740991
shotsOnGoalintegerrequired
min -9007199254740991 · max 9007199254740991
penaltiesintegerrequired
min -9007199254740991 · max 9007199254740991
penaltyMinutesintegerrequired
min -9007199254740991 · max 9007199254740991
fightsintegerrequired
min -9007199254740991 · max 9007199254740991
savesintegerrequired
min -9007199254740991 · max 9007199254740991
goalsAgainstintegerrequired
min -9007199254740991 · max 9007199254740991
timeOnIceintegerrequired

Seconds

min -9007199254740991 · max 9007199254740991
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/players/string/games' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "gameId": "string",
      "scheduledStart": "string",
      "homeTeamId": "string",
      "awayTeamId": "string",
      "homeScore": -9007199254740991,
      "awayScore": -9007199254740991,
      "isExhibition": true,
      "goals": -9007199254740991,
      "assists": -9007199254740991,
      "hits": -9007199254740991,
      "shots": -9007199254740991,
      "shotsOnGoal": -9007199254740991,
      "penalties": -9007199254740991,
      "penaltyMinutes": -9007199254740991,
      "fights": -9007199254740991,
      "saves": -9007199254740991,
      "goalsAgainst": -9007199254740991,
      "timeOnIce": -9007199254740991
    }
  ]
}

Was this page helpful?